public inbox for cluster-cvs@sourceware.org
help / color / mirror / Atom feed
From: "Fabio M. Di Nitto" <fabbione@fedoraproject.org>
To: cluster-cvs-relay@redhat.com
Subject: cluster: STABLE3 - cman init: common helper function to check configfs
Date: Fri, 27 Mar 2009 19:07:00 -0000	[thread overview]
Message-ID: <20090327190620.56D4012020C@lists.fedorahosted.org> (raw)

Gitweb:        http://git.fedorahosted.org/git/cluster.git?p=cluster.git;a=commitdiff;h=b6b4535b787c9968c5b1e8f118fa4b7f04f691ef
Commit:        b6b4535b787c9968c5b1e8f118fa4b7f04f691ef
Parent:        4de2bc51f215efb94358206f34525a12f747c1eb
Author:        Fabio M. Di Nitto <fdinitto@redhat.com>
AuthorDate:    Wed Mar 25 11:54:44 2009 +0100
Committer:     Fabio M. Di Nitto <fdinitto@redhat.com>
CommitterDate: Fri Mar 27 20:05:45 2009 +0100

cman init: common helper function to check configfs

Signed-off-by: Fabio M. Di Nitto <fdinitto@redhat.com>
---
 cman/init.d/cman.in |   17 ++++++++++-------
 1 files changed, 10 insertions(+), 7 deletions(-)

diff --git a/cman/init.d/cman.in b/cman/init.d/cman.in
index 6a6e1bd..de90e31 100644
--- a/cman/init.d/cman.in
+++ b/cman/init.d/cman.in
@@ -218,6 +218,14 @@ fence_xvmd_enabled()
 	return 0
 }
 
+mtab_configfs()
+{
+	awk '{ print $2 }' /etc/mtab | \
+		grep "/sys/kernel/config" > /dev/null 2>&1 && \
+	awk '{ print $3 }' /etc/mtab | \
+		grep "configfs" > /dev/null 2>&1
+	return $?
+}
 
 load_modules()
 {
@@ -229,10 +237,7 @@ load_modules()
 
 start_configfs()
 {
-	# configfs
-	awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" > /dev/null 2>&1 \
-	&& awk '{ print $3 }' /etc/mtab | grep "configfs" > /dev/null 2>&1
-	if [ $? -ne 0 ]; then
+	if ! mtab_configfs; then
 		errmsg=$( /bin/mount -t configfs none /sys/kernel/config 2>&1 )
 		return $?
 	fi
@@ -485,9 +490,7 @@ start()
 
 stop_configfs()
 {
-	awk '{ print $2 }' /etc/mtab | grep "/sys/kernel/config" > /dev/null 2>&1 \
-		&& awk '{ print $3 }' /etc/mtab | grep "configfs" > /dev/null 2>&1
-	if [ $? -eq 0 ] && [ -z "$(ls -1 /sys/kernel/config)" ]; then
+	if mtab_configfs && [ -z "$(ls -1 /sys/kernel/config)" ]; then
 		errmsg=$( /bin/umount /sys/kernel/config 2>&1 )
 		if [ $? -ne 0 ]; then
 			echo -n $errmsg " "


                 reply	other threads:[~2009-03-27 19:06 UTC|newest]

Thread overview: [no followups] expand[flat|nested]  mbox.gz  Atom feed

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20090327190620.56D4012020C@lists.fedorahosted.org \
    --to=fabbione@fedoraproject.org \
    --cc=cluster-cvs-relay@redhat.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for read-only IMAP folder(s) and NNTP newsgroup(s).